/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import de.doctag.docsrv_api.model.DoctagSignatureData;
import de.doctag.docsrv_api.model.PublicKeyResponse;
import de.doctag.docsrv_api.model.WorkflowInputResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;


/**
 * Model tests for Signature
 */
public class SignatureTest {
    private final Signature model = new Signature();

    /**
     * Model tests for Signature
     */
    @Test
    public void testSignature() {
        // TODO: test Signature
    }

    /**
     * Test the property 'data'
     */
    @Test
    public void dataTest() {
        // TODO: test data
    }

    /**
     * Test the property 'inputs'
     */
    @Test
    public void inputsTest() {
        // TODO: test inputs
    }

    /**
     * Test the property 'originalMessage'
     */
    @Test
    public void originalMessageTest() {
        // TODO: test originalMessage
    }

    /**
     * Test the property 'role'
     */
    @Test
    public void roleTest() {
        // TODO: test role
    }

    /**
     * Test the property 'signed'
     */
    @Test
    public void signedTest() {
        // TODO: test signed
    }

    /**
     * Test the property 'signedByKey'
     */
    @Test
    public void signedByKeyTest() {
        // TODO: test signedByKey
    }

}
